Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026396
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2014-04-28 10:542014-05-07 18:12
ReporterjecharriView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revisiona3970b9af37d
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toshankarb
Web browserGoogle Chrome
ModulesCore
Regression levelPackaging and release
Regression date2014-02-18
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/6e74c0a22769f683ae89bf41ea6fd591bef2dc12 [^]
Triggers an Emergency PackNo
Summary

0026396: When you check a role as "portal user" that role can not see the widgets

DescriptionWhen you check a role as "portal user" that role can not see the widgets
Steps To Reproduce-Using a role add some widgets to workspace
-Go to window role and check it as "portal user"
-Logout and login, you will see that you are not able to see any widget
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00257413.0PR14Q2 closedalostale Impossible to add the widget "User defined HTML Widget" 

-  Notes
(0066643)
hgbot (developer)
2014-04-28 11:38

Repository: erp/devel/pi
Changeset: 5e12d35b76c249b45aabee40bd8173d17ee9336f
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Apr 28 11:37:37 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5e12d35b76c249b45aabee40bd8173d17ee9336f [^]

fixed bug 26396: widgets not seen for fortal roles

---
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-myopenbravo.js
---
(0066663)
jecharri (developer)
2014-04-29 09:25

After the changeset, it is not possible to add widgets to workspace

-Apply the patch
-Login to ERP
-In section "Manage workspace" you are not able to add widgets
(0066706)
hgbot (developer)
2014-04-30 13:21

Repository: erp/devel/pi
Changeset: a3970b9af37de6b0c5ca59575dd1436912e2ad8f
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Apr 30 13:20:21 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a3970b9af37de6b0c5ca59575dd1436912e2ad8f [^]

fixed bug 26396: widgets not seen for fortal roles

  fixed typo introduced in previous fix

---
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-myopenbravo.js
---
(0066773)
shankarb (developer)
2014-05-02 05:47

Code reviewed and verified in pi changeset 6d818cd5ed38.
(0066979)
hudsonbot (developer)
2014-05-07 18:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test
(0066984)
hudsonbot (developer)
2014-05-07 18:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-04-28 10:54 jecharri New Issue
2014-04-28 10:54 jecharri Assigned To => AugustoMauch
2014-04-28 10:54 jecharri Web browser => Google Chrome
2014-04-28 10:54 jecharri Modules => Core
2014-04-28 10:54 jecharri Triggers an Emergency Pack => No
2014-04-28 10:55 jecharri Web browser Google Chrome => Google Chrome
2014-04-28 10:55 jecharri Regression level => Packaging and release
2014-04-28 10:55 jecharri Triggers an Emergency Pack No => Yes
2014-04-28 11:31 alostale Assigned To AugustoMauch => alostale
2014-04-28 11:33 alostale Relationship added related to 0025741
2014-04-28 11:37 alostale Review Assigned To => shankarb
2014-04-28 11:37 alostale Web browser Google Chrome => Google Chrome
2014-04-28 11:37 alostale Regression date => 2014-02-18
2014-04-28 11:37 alostale Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/6e74c0a22769f683ae89bf41ea6fd591bef2dc12 [^]
2014-04-28 11:37 alostale Triggers an Emergency Pack Yes => No
2014-04-28 11:38 hgbot Checkin
2014-04-28 11:38 hgbot Note Added: 0066643
2014-04-28 11:38 hgbot Status new => resolved
2014-04-28 11:38 hgbot Resolution open => fixed
2014-04-28 11:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5e12d35b76c249b45aabee40bd8173d17ee9336f [^]
2014-04-29 09:25 jecharri Note Added: 0066663
2014-04-29 09:25 jecharri Status resolved => new
2014-04-29 09:25 jecharri Resolution fixed => open
2014-04-30 13:21 hgbot Checkin
2014-04-30 13:21 hgbot Note Added: 0066706
2014-04-30 13:21 hgbot Status new => resolved
2014-04-30 13:21 hgbot Resolution open => fixed
2014-04-30 13:21 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/5e12d35b76c249b45aabee40bd8173d17ee9336f [^] => http://code.openbravo.com/erp/devel/pi/rev/a3970b9af37de6b0c5ca59575dd1436912e2ad8f [^]
2014-05-02 05:47 shankarb Note Added: 0066773
2014-05-02 05:47 shankarb Status resolved => closed
2014-05-02 05:47 shankarb Fixed in Version => PR14Q2
2014-05-07 18:12 hudsonbot Checkin
2014-05-07 18:12 hudsonbot Note Added: 0066979
2014-05-07 18:12 hudsonbot Checkin
2014-05-07 18:12 hudsonbot Note Added: 0066984


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker